package cv02;

public class Bod {
	private int x;
	private int y;
	
	Bod(){
		this.x = 0;
		this.y = 0;
	}
	Bod(int val){
		this.x = this.y = val;
	}
	Bod(int x, int y){
		this.x = x;
		this.y = y;
	}
	
	public int getX(){
		return this.x;
	}
	public int getY(){
		return this.y;
	}
	
	public double vzdalenost(Bod b){
		double val1 = Math.pow(Math.abs(this.x - b.getX()), 2.0);
		double val2 = Math.pow(Math.abs(this.y - b.getY()), 2.0);
		return Math.sqrt(val1+val2);
	}
	

	public double smer(Bod b){
		int vekX1  = Math.abs((this.x+2)-this.x);
		int vekX2  = Math.abs(this.y-this.y);
		int vekAB1 = Math.abs(b.x-this.x);
		int vekAB2 = Math.abs(b.y-this.y);
	
		double cosFi = (vekX1*vekAB1 + vekX2*vekAB2) / 
				( Math.sqrt(Math.abs(Math.pow(vekX1, 2.0)+Math.pow(vekX2, 2.0))) * 
						Math.sqrt(Math.abs(Math.pow(vekAB1, 2.0)+Math.pow(vekAB2, 2.0))) );
		double fi = Math.acos(cosFi);

		//rozhodnut ve kterm kvadrantu Bod ke ktermu jdu je
		if(this.x <= b.x && this.y <= b.y){
			//alfa
			fi = Math.toDegrees(fi);
		}else if(this.x > b.x && this.y < b.y){
			//180 - alfa
			fi = Math.toDegrees(Math.PI - fi);
		}else if(this.x > b.x && this.y > b.y){
			//180 + alfa
			fi = Math.toDegrees(Math.PI + fi);
		}else {
			//360 - alfa
			fi = Math.toDegrees(2*Math.PI - fi);
		}
		return (double) Math.round(fi * 100) / 100.0 ;
	}

	
	@Override
	public String toString() {
		return "[x=" + x + ", y=" + y + "]";
	}
	
}
